Ipelib

Public Member Functions | List of all members
ipe::DataSource Class Referenceabstract
Ipe Base

`#include <ipebase.h>`

Inherited by ipe::A85Source, ipe::Base64Source, ipe::BufferSource, ipe::FileSource, ipe::InflateSource, PsSource, and StandardStyleSource.

## Public Member Functions
virtual | ~DataSource ()=0
virtual int | getChar ()=0

## Detailed Description

Interface for getting data for parsing.

## Constructor & Destructor Documentation

## ◆ ~DataSource()

DataSource::~DataSource | ( |  | ) |
| pure virtual

Pure virtual destructor.

Referenced by ipe::FileStream::tell().

## Member Function Documentation

## ◆ getChar()

virtual int ipe::DataSource::getChar | ( |  | ) |
| pure virtual

Get one more character, or EOF.

Implemented in ipe::BufferSource, ipe::FileSource, ipe::InflateSource, ipe::Base64Source, and ipe::A85Source.

Referenced by ipe::Document::Document(), ipe::Document::formatFromFilename(), ipe::A85Source::getChar(), ipe::Base64Source::getChar(), and ipe::InflateSource::~InflateSource().

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp